<div class="areas-container">
    <div class="row">
        <section
            id="program"
            class="observations row obs-section"
        >
            <input
                id="slide-sidebar"
                type="checkbox"
                role="button"
            />
            <label
                class="toggle"
                for="slide-sidebar"
            ><i class="fa fa-chevron-left"></i></label>
            <div
                class="col-lg-4 col-md-12 side-bar"
                id="list"
            >
                <app-areas-list
                    [areas]="areas"
                    [program_id]="program_id"
                    [displayForm]="flowService.display"
                    [userDashboard]="userDashboard"
                    [admin]="admin"
                    (areaSelect)="areasMapRef.showPopup($event)"
                >
                    <button
                        type="button"
                        class="btn btn-success mr-4 float-right"
                        add-obs
                        (click)="addAreaClicked()"
                        *ngIf="!userDashboard"
                        ngbTooltip="Ajouter une zone"
                        placement="bottom"
                    >
                        Ajouter
                    </button>
                    <app-areamodalflow
                        #modalFlowRef
                        [coords]="coords"
                        [modalversion]="
                        mainConfig.FRONTEND.NEW_OBS_FORM_MODAL_VERSION
                    "
                        [program_id]="program_id"
                        obs-form
                    ></app-areamodalflow>
                </app-areas-list>
            </div>

            <div
                class="map col-lg-12 col-md-12"
                id="map"
            >
                <app-areas-map
                    #areasMapRef
                    [features]="areas"
                    [program]="programFeature"
                    (onClick)="onMapClicked($event)"
                ></app-areas-map>
            </div>
        </section>
    </div>
</div>
